﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows.Forms;
using System.IO;

namespace _30PhotoStudio
{
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main(string[] args)
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);

            // Spuštění aplikace s parametrem z příkazové řádky
            // buď se mu předá složka, nebo soubor, nebo nic (tj. otevře aktuální složku, výchozí stav)
            if (args.Length > 0)
            {
                if (Directory.Exists(args[0]))
                    Application.Run(new Form1(args[0]));
                else if (File.Exists(args[0]))
                {
                    FileInfo fi = new FileInfo(args[0]);
                    Application.Run(new Form2(args[0], 0,
                        Directory.GetFiles(fi.DirectoryName, "*.jp*g", SearchOption.TopDirectoryOnly),
                        new Form1(fi.DirectoryName)));
                }
                else
                {
                    MessageBox.Show("Chybný parametr, startuji zobrazením výchozí složky!");
                    Application.Run(new Form1(Application.StartupPath));
                }
            }
            else
            {
                Application.Run(new Form1(Application.StartupPath));
            }   
            //Application.Run(new Form2(@"C:\Data k testovani\T1\IMAGE_020.jpg", 0, new string[]{"xxx"}, new Form()));

        }
    }
}
